<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // tính đóng gói trong javascript
    function Person(_name){
        var name = _name;
        this.setName = function(_name){
            name=_name;
        }
        this.getName= function(){
            return name
        }
    }
    let person = new Person("TRUONG")
    console.log(name) // không thể truy cập do tính đóng gói của OOP-js
    console.log(person.getName())
    // sử dụng các method đươc cung cấp  để truy cập và object
    person.setName("Long")
    console.log(person.getName())

    </script>
</body>
</html>